Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1634250 - Backport driver for Intel Sunrise Point-H Integrated Sensor Hub
Summary: Backport driver for Intel Sunrise Point-H Integrated Sensor Hub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-29 10:14 UTC by Jean-Loup Tastet
Modified: 2018-10-10 21:53 UTC (History)
17 users (show)

Fixed In Version: kernel-4.18.12-300.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-08 19:03:19 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Linux Kernel 200655 0 None None None 2018-09-29 10:14:34 UTC

Description Jean-Loup Tastet 2018-09-29 10:14:34 UTC
This driver enables the ISH on laptops based on the Kaby-Lake G platform, allowing 2-in-1 convertibles to use the autorotation feature.

An upstream patch has been submitted to the HID subsystem, but it missed the 4.19 merge window and therefore won't arrive before 4.20/5.0.

Link to patch: https://patchwork.kernel.org/patch/10569347/

The patch is a trivial PCI ID addition. I have manually applied it on top of the Fedora-flavored 4.18.6 kernel, and so far it has been working perfectly: autorotation works as expected and I did not encounter any issue after a few weeks of testing.

So this patch looks like a strong candidate for backporting.

Comment 1 Laura Abbott 2018-10-01 17:51:33 UTC
I applied the patch to all the branches. This bug will get updated when it gets built.

Comment 2 Fedora Update System 2018-10-05 00:40:21 UTC
kernel-headers-4.18.12-300.fc29 kernel-4.18.12-300.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f392ab8c84

Comment 3 Fedora Update System 2018-10-05 00:42:29 UTC
kernel-headers-4.18.12-200.fc28 kernel-4.18.12-200.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ddbaca855e

Comment 4 Fedora Update System 2018-10-05 00:43:55 UTC
kernel-headers-4.18.12-100.fc27 kernel-4.18.12-100.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-94315e9a6b

Comment 5 Fedora Update System 2018-10-05 18:06:43 UTC
kernel-4.18.12-100.fc27, kernel-headers-4.18.12-100.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-94315e9a6b

Comment 6 Fedora Update System 2018-10-05 18:23:20 UTC
kernel-4.18.12-300.fc29, kernel-headers-4.18.12-300.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f392ab8c84

Comment 7 Fedora Update System 2018-10-05 19:31:25 UTC
kernel-4.18.12-200.fc28, kernel-headers-4.18.12-200.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ddbaca855e

Comment 8 Fedora Update System 2018-10-08 19:03:19 UTC
kernel-4.18.12-300.fc29, kernel-headers-4.18.12-300.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-10-09 03:08:18 UTC
kernel-4.18.12-200.fc28, kernel-headers-4.18.12-200.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-10-10 21:53:42 UTC
kernel-4.18.12-100.fc27, kernel-headers-4.18.12-100.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.